curl --request GET \
--url https://api.tradewatch.io/stocks/markets \
--header 'api-key: <api-key>'import requests
url = "https://api.tradewatch.io/stocks/markets"
headers = {"api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'api-key': '<api-key>'}};
fetch('https://api.tradewatch.io/stocks/markets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"mic": "XNYS",
"exchange": "New York Stock Exchange",
"acronym": "NYSE",
"lei": "5493000F4ZO33MV32P92",
"url": "https://www.nyse.com/index",
"city": "New York",
"country": "United States",
"country_code": "US",
"flag": "πΊπΈ",
"currency_name": "US dollar",
"currency_code": "USD",
"currency_symbol": "$",
"region": "North America",
"timezone": "America/New_York",
"timezone_abbr": "EDT",
"utc_offset": "-0400",
"dst": true,
"previous_dst_transition": "2024-03-10",
"next_dst_transition": "2024-11-03",
"working_days": [
"Monday",
"Tuesday",
"Wednesday",
"Thursday",
"Friday"
],
"open_time": "09:30",
"close_time": "16:00",
"early_close_time": "13:00"
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Markets
Get details about the markets available in this API.
Authorizations
Authentication via API key header
Query Parameters
Optional list of comma separated MIC codes for which market to show data for. All market will be included if MIC code is not specified.
Response
Successful Response
Market Identifier Code (ISO 10383)
"XNYS"
Full name of the exchange
"New York Stock Exchange"
Exchange acronym
"NYSE"
Legal Entity Identifier
"5493000F4ZO33MV32P92"
Exchange website URL
"https://www.nyse.com/index"
City where the exchange is located
"New York"
Country where the exchange is located
"United States"
ISO 3166-1 alpha-2 country code
"US"
Country flag emoji
"πΊπΈ"
Name of the primary currency used
"US dollar"
ISO 4217 currency code
"USD"
Symbol of the currency
"$"
Geographical region
"North America"
Timezone identifier (IANA database)
"America/New_York"
Timezone abbreviation
"EDT"
UTC offset in hours
"-0400"
Whether Daylight Saving Time is currently observed
true
Date of the previous DST transition
"2024-03-10"
Date of the next DST transition
"2024-11-03"
List of working days
Monday, Tuesday, Wednesday, Thursday, Friday, Saturday, Sunday [
"Monday",
"Tuesday",
"Wednesday",
"Thursday",
"Friday"
]
Regular trading session opening time
"09:30"
Regular trading session closing time
"16:00"
Trading session closing time on early close days
"13:00"
